CREATE TABLE hwm_tm_rec_grp_usages (
    TM_REC_GRP_USAGES_ID     NUMBER(18, 0),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    ENTERPRISE_ID            NUMBER(18, 0)    NOT NULL,
    TM_REC_VERSION           NUMBER(9, 0)     NOT NULL,
    TM_REC_ID                NUMBER(18, 0)    NOT NULL,
    TM_REC_GRP_ID            NUMBER(18, 0)    NOT NULL,
    TM_REC_GRP_VERSION       NUMBER(9, 0)     NOT NULL,
    DATA_SET_ID              NUMBER(18, 0),
    LAYER_CODE               VARCHAR2(80) ,
    LATEST_VERSION           VARCHAR2(4)  ,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    PART_DATE                TIMESTAMP(6) ,
    PART_GRP_TYPE_ID         NUMBER(18, 0),
    TM_REC_GRP_USAGES_ID     NUMBER(18, 0),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    ENTERPRISE_ID            NUMBER(18, 0)    NOT NULL,
    TM_REC_VERSION           NUMBER(9, 0)     NOT NULL,
    TM_REC_ID                NUMBER(18, 0)    NOT NULL,
    TM_REC_GRP_ID            NUMBER(18, 0)    NOT NULL,
    TM_REC_GRP_VERSION       NUMBER(9, 0)     NOT NULL,
    DATA_SET_ID              NUMBER(18, 0),
    LAYER_CODE               VARCHAR2(80) ,
    LATEST_VERSION           VARCHAR2(4)  ,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    PART_DATE                TIMESTAMP(6) ,
    PART_GRP_TYPE_ID         NUMBER(18, 0),
    CONSTRAINT pk_hwm_tm_rec_grp_usages PRIMARY KEY (TM_REC_GRP_USAGES_ID, TM_REC_GRP_USAGES_ID)
);
